Home | All Classes | Grouped Classes | Index | Search

# CL_OpenGLState::setup_2d

Setup window 2D rendering mode.

    	void setup_2d(
    		bool upside_down = false);

Parameters:

upside_down
  If set to true, (0,0) will be in the lower left corner.

Detailed description:

This effectively loads a Orto 2D projection matrix and makes sure the device are using sane texture parameter values.

See also:

CL_OpenGLState

Questions or comments, write to the ClanLib mailing list.